Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface ServiceManager

    griffon.core.ApplicationHandler
      griffon.core.ServiceManager

All Superinterfaces:
  ApplicationHandler

    public interface ServiceManager
    extends ApplicationHandler

Helper class capable of dealing with services.

Authors:
  Andres Almiray

Since:
  0.9.4

Method Summary
`GriffonService` | `findService(String name)` Finds an service by name.
`Map` | `getServices()` Returns a read-only view of all available services

Methods inherited from interface ApplicationHandler
getApp

Method Detail

### findService

    public GriffonService findService(String name)

  Finds an service by name.

  Never returns null for a matching service name. If a service instance is not yet available then this method will create it.

  Parameters:
    `name` - the name of the service to search for
  Returns:
    a service instance if there's a match, null otherwise.

### getServices

    public Map getServices()

  Returns a read-only view of all available services
  Returns:
    a non-null Map of services keyed by name

Groovy Documentation